Results 1 to 4 of 4
  1. #1
    Player SamusAran2020's Avatar
    Join Date
    May 2019
    Location
    USA
    Posts
    3
    Character
    Hannahmontana
    World
    Asura
    Main Class
    DNC Lv 99

    POL Viewer issue

    I logged out fine last night via /shutdown like always. When I woke up, I brought Steam up, but when I tried to launch the game, I got the kind of error that indicated it was running. Even in my Steam library game showed as running. I looked in task manager and POL Viewer was in the list. I ended task and did what their trouble shooting said. I decided to "Verify Integrity Of Game Files".



    Apparently alot of files couldn't be verified, but Steam did their thing. Then I decided to get on the game, but when I launched the game via Steam and POL viewer came up, I had to re-add myself. I figured it was because of what I just had to do. So I did it, but.. I noticed something was off. When I added myself awhile back, I had to input my Square Enix account name and choose to use a "One time password". But here I did not.



    I thought perhaps maybe it changed. So I proceeded. I added myself. Then used my member password. Got in that way and saw this. See, nothing about having to input my ONE TIME password.



    So I figured I would go into settings. I thought maybe I should put in my Square Enix account info there, but whoa and behold...NOTHING.



    This is weird because when I logged in on the 10th of May, I had to input my Security Token code (it's on my phone). I stayed logged in until I logged out just last night.


    I even decided to install POL Viewer on my PC that wasn't attached to Steam. Thought I would go through the process of adding myself there to see if maybe Steam was being a prick. Sure enough after installing POL Viewer (separate from Steam) and going through the process of adding myself, I could see I could add my Square Enix account info.



    Not sure what is up. Part of me thinks I should just go ahead and play via my PC without Steam, but another part of me wants to hold off since, for some unknown reason, getting to the game via Steam won't even ask me for my Security Token code thingie. I don't want to cause problems or make my account look like someone else got into it by getting on without inputting the code.


    Not sure what went on to cause this. I even uninstalled and reinstalled. Still same thing on Steam when I try to do FFXI there.


    UPDATE: To try to resolve the issue, I DELETED the Playonline folder. This forced Steam to redownload POL viewer fresh and force it to update. I was able to add myself and SE account info. I thought it was fixed. As I was about to get into the game and just before the character select screen, I got a pop up saying EXPANSION NOT INSTALLED. The game wasn't recognizing Seekers Of Adoulin, but was recognizing everything else. Then game crashed. So I did what Steam support would tell me first to do, Validate game files via their tool. I did. It redownloaded what I needed. But when I tried to launch the game. POL Viewer would not update. It would only allow me to use a NON-UPDATE Pol viewer that wouldn't allow me to use my SE account info. This is as of 1035am ET TODAY.
    (0)
    Last edited by SamusAran2020; 05-13-2019 at 11:49 PM.

  2. #2
    Player Dragoy's Avatar
    Join Date
    Jul 2011
    Location
    Bastok
    Posts
    1,486
    Character
    Dragoy
    World
    Fenrir
    Main Class
    BRD Lv 66

    €°(((><

    This looks like an older version of the PlayOnline Viewer (what is its version string?), though I'm unsure why it wouldn't have updated before this part (I never tried installing via Steam though, in case it makes a difference).

    You should not be able to actually log in with just the PlayOnline credentials (does it ask to update if you try to?).

    Could also try to check for issues via the PlayOnline Viewer itself (maybe that triggers the update?).
    (1)
    Kind Regards,
    ~ The Noob Unlimited ~



    Sore wa sore, kore wa kore.

  3. #3
    Player SamusAran2020's Avatar
    Join Date
    May 2019
    Location
    USA
    Posts
    3
    Character
    Hannahmontana
    World
    Asura
    Main Class
    DNC Lv 99
    Quote Originally Posted by Dragoy View Post
    This looks like an older version of the PlayOnline Viewer (what is its version string?), though I'm unsure why it wouldn't have updated before this part (I never tried installing via Steam though, in case it makes a difference).

    You should not be able to actually log in with just the PlayOnline credentials (does it ask to update if you try to?).

    Could also try to check for issues via the PlayOnline Viewer itself (maybe that triggers the update?).
    I was asking myself the same thing. I shouldn't be able to log in with just the Playonline credentials. Here's the thing. On the 10th when I logged in after I launched VIA STEAM, I had to put in my security token code. Suddenly now I don't have to. This happened after I verified the integrity of the game files. It's like that downgraded me. I did double check to make sure my security token is on my account and it is because I had to enter my one time code just to log in to HERE. I posted in Steam about this. But I am doubting support will see it.

    If worse comes to worse.. I will uninstall FFXI from Steam and reinstall on my PC separate from it. I might just do that anyway, but either way I want Steam and SE to be aware of this.
    (0)

  4. #4
    Player Dragoy's Avatar
    Join Date
    Jul 2011
    Location
    Bastok
    Posts
    1,486
    Character
    Dragoy
    World
    Fenrir
    Main Class
    BRD Lv 66
    Quote Originally Posted by SamusAran2020 View Post
    I was asking myself the same thing. I shouldn't be able to log in with just the Playonline credentials.
    You didn't mention if you actually managed to log in, or if it would fail (it should fail after you put everything in, and try connecting).

    Anyblue, I managed to miss the window borders being included in the pictures, meaning the version string is right there. Ooopsies.

    Notice the pictures of the viewer twithout the SqEX account info have '1.18.00n', while the actual current version is '1.18.15e'. So indeed, I suspect the Steam version is broken in that it will install an older version of the PlayOnline Viewer when the user 'verifies the integrity of the game files'.

    Someone should report this as a bug, if no one has already. :]

    Out of curiosity, I might still try doing the 'check files' via the PlayOnline Viewer itself, to see if that will fix it.
    (0)
    Kind Regards,
    ~ The Noob Unlimited ~



    Sore wa sore, kore wa kore.